#ifndef ALTDSS_ODDIE_CAPI_H
#define ALTDSS_ODDIE_CAPI_H
#ifdef WIN32
#if defined(altdss_oddie_capi_EXPORTS)
#define ALTDSS_ODDIE_DLL __declspec(dllexport)
#else
#define ALTDSS_ODDIE_DLL __declspec(dllimport)
#endif
#else
#define ALTDSS_ODDIE_DLL
#endif

#ifdef __cplusplus
#    include <cstdint>
#    include <cstddef>
#else
#    include <stdint.h>
#    include <stddef.h>
#endif

#ifdef __cplusplus
#ifdef ALTDSS_ODDIE_NAMESPACE
namespace altdss { namespace oddie { namespace capi {
#endif
extern "C" {
#else
#endif

ALTDSS_ODDIE_DLL void Oddie_SetLibOptions(const char* libname, uint32_t* liboptions);
ALTDSS_ODDIE_DLL void Oddie_SetOptions(const void *ctx, uint32_t flags);
ALTDSS_ODDIE_DLL void* ctx_New(void);
ALTDSS_ODDIE_DLL void ctx_Dispose(const void *ctx);
ALTDSS_ODDIE_DLL const void* ctx_Get_Prime(void);
ALTDSS_ODDIE_DLL const void* ctx_Set_Prime(const void *ctx);

ALTDSS_ODDIE_DLL void ctx_DSS_GetGRPointers(const void* ctx, 
    char**** DataPtr_PPAnsiChar,
    double*** DataPtr_PDouble,
    int32_t*** DataPtr_PInteger,
    int8_t*** DataPtr_PByte,
    int32_t** CountPtr_PPAnsiChar,
    int32_t** CountPtr_PDouble,
    int32_t** CountPtr_PInteger,
    int32_t** CountPtr_PByte
);
ALTDSS_ODDIE_DLL void DSS_SetMessagesMO(const char* Value);
ALTDSS_ODDIE_DLL void DSS_SetPropertiesMO(const char* Value);
ALTDSS_ODDIE_DLL void DSS_Dispose_PByte(int8_t** p);
ALTDSS_ODDIE_DLL void DSS_Dispose_PDouble(double** p);
ALTDSS_ODDIE_DLL void DSS_Dispose_PInteger(int32_t** p);
ALTDSS_ODDIE_DLL void DSS_Dispose_PPAnsiChar(char ***p, int32_t cnt);
ALTDSS_ODDIE_DLL void DSS_Dispose_PPointer(void*** p);
ALTDSS_ODDIE_DLL void DSS_Dispose_String(char* S);
ALTDSS_ODDIE_DLL int8_t* ctx_DSS_GR_DataPtr_PByte(const void* ctx);
ALTDSS_ODDIE_DLL double* ctx_DSS_GR_DataPtr_PDouble(const void* ctx);
ALTDSS_ODDIE_DLL int32_t* ctx_DSS_GR_DataPtr_PInteger(const void* ctx);
ALTDSS_ODDIE_DLL int32_t* ctx_DSS_GR_CountPtr_PByte(const void* ctx);
ALTDSS_ODDIE_DLL int32_t* ctx_DSS_GR_CountPtr_PDouble(const void* ctx);
ALTDSS_ODDIE_DLL int32_t* ctx_DSS_GR_CountPtr_PInteger(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Error_Get_Description(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Error_Get_Number(const void* ctx);
ALTDSS_ODDIE_DLL int32_t* ctx_Error_Get_NumberPtr(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Text_Get_Result(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Text_Set_Command(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Text_CommandArray(const void* ctx, const char** ValuePtr, int32_t ValueCount);
ALTDSS_ODDIE_DLL void ctx_Text_CommandBlock(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_DSS_DisposeGRData(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_YMatrix_AddInAuxCurrents(const void* ctx, int32_t SType);
ALTDSS_ODDIE_DLL void ctx_YMatrix_BuildYMatrixD(const void* ctx, int32_t BuildOps, int32_t AllocateVI);
ALTDSS_ODDIE_DLL void *ctx_YMatrix_Get_Handle(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_YMatrix_GetCompressedYMatrix(const void* ctx, uint16_t factor, uint32_t *nBus, uint32_t *nNz, int32_t **ColPtr, int32_t **RowIdxPtr, double **cValsPtr);
ALTDSS_ODDIE_DLL void ctx_YMatrix_getIpointer(const void* ctx, double **IvectorPtr);
ALTDSS_ODDIE_DLL void ctx_YMatrix_GetPCInjCurr(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_YMatrix_GetSourceInjCurrents(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_YMatrix_getVpointer(const void* ctx, double **VvectorPtr);
ALTDSS_ODDIE_DLL void ctx_YMatrix_Set_SystemYChanged(const void* ctx, uint16_t arg);
ALTDSS_ODDIE_DLL void ctx_YMatrix_Set_UseAuxCurrents(const void* ctx, uint16_t arg);
ALTDSS_ODDIE_DLL int32_t ctx_YMatrix_SolveSystem(const void* ctx, double *NodeVPtr);
ALTDSS_ODDIE_DLL void ctx_YMatrix_ZeroInjCurr(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_DSS_ResetStringBuffer(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_DSS_Set_AllowChangeDir(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL uint16_t ctx_DSS_Get_AllowChangeDir(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_DSS_Get_AllowDOScmd(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_DSS_Set_AllowDOScmd(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL uint16_t ctx_Error_Get_EarlyAbort(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Error_Set_EarlyAbort(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL uint16_t ctx_DSS_Get_AllowEditor(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Solution_BuildYMatrix(const void* ctx, int32_t BuildOption, int32_t AllocateVI);
ALTDSS_ODDIE_DLL double ctx_CktElement_Get_Variablei(const void* ctx, int32_t Idx, int32_t *Code);
ALTDSS_ODDIE_DLL void ctx_LoadShapes_Set_Points(const void* ctx, int32_t Npts, void *HoursPtr, void *PMultPtr, void *QMultPtr, uint16_t ExternalMemory, uint16_t IsFloat32, int32_t Stride);
ALTDSS_ODDIE_DLL void ctx_LoadShapes_UseFloat32(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_LoadShapes_UseFloat64(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_CktElement_Set_BusNames(const void* ctx, const char** ValuePtr, int32_t ValueCount);
ALTDSS_ODDIE_DLL void ctx_Fuses_Set_NormalState(const void* ctx, const char** ValuePtr, int32_t ValueCount);
ALTDSS_ODDIE_DLL void ctx_Fuses_Set_State(const void* ctx, const char** ValuePtr, int32_t ValueCount);
ALTDSS_ODDIE_DLL int32_t ctx_Circuit_SetActiveBus(const void* ctx, const char* BusName);
ALTDSS_ODDIE_DLL int32_t ctx_CtrlQueue_Push(const void* ctx, int32_t Hour, double Seconds, int32_t ActionCode, int32_t DeviceHandle);
ALTDSS_ODDIE_DLL int32_t ctx_Circuit_SetActiveClass(const void* ctx, const char* ClassName);
ALTDSS_ODDIE_DLL int32_t ctx_Circuit_SetActiveElement(const void* ctx, const char* FullName);
ALTDSS_ODDIE_DLL int32_t ctx_Reclosers_Get_NormalState(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Reclosers_Get_State(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_XYCurves_Set_Xarray(const void* ctx, const double* ValuePtr, int32_t ValueCount);
ALTDSS_ODDIE_DLL int32_t ctx_Lines_New(const void* ctx, const char* Name);
ALTDSS_ODDIE_DLL int32_t ctx_LoadShapes_New(const void* ctx, const char* Name);
ALTDSS_ODDIE_DLL void ctx_Lines_Set_IsSwitch(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL uint16_t ctx_Lines_Get_IsSwitch(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_CapControls_Reset(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_RegControls_Reset(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_SwtControls_Reset(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Loads_Get_Phases(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_Phases(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL int32_t ctx_DSS_SetActiveClass(const void* ctx, const char* ClassName);
ALTDSS_ODDIE_DLL int32_t ctx_SwtControls_Get_NormalState(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_SwtControls_Get_State(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_SwtControls_Set_NormalState(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_SwtControls_Set_State(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_DSSProperty_Set_Val(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL const char* ctx_DSSProperty_Get_Val(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_DSSProperty_Get_Name(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_DSSProperty_Get_Description(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_DSSProperty_Set_Index(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL double ctx_CktElement_Get_Variable(const void* ctx, const char* MyVarName, int32_t *Code);
ALTDSS_ODDIE_DLL void ctx_CktElement_Set_Variable(const void* ctx, const char* MyVarName, int32_t *Code, double Value);
ALTDSS_ODDIE_DLL void ctx_CktElement_Set_VariableName(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_DSSProperty_Set_Name(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL const char* ctx_ActiveClass_Get_ActiveClassName(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_ActiveClass_Get_ActiveClassParent(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_ActiveClass_Get_AllNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL int32_t ctx_ActiveClass_Get_Count(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_ActiveClass_Get_First(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_ActiveClass_Get_Name(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_ActiveClass_Get_Next(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_ActiveClass_Get_NumElements(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_ActiveClass_Set_Name(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL int32_t ctx_Bus_GetUniqueNodeNumber(const void* ctx, int32_t StartNumber);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_AllPCEatBus(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_AllPDEatBus(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL uint16_t ctx_Bus_Get_Coorddefined(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_CplxSeqVoltages(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_CplxSeqVoltages_GR(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Bus_Get_Cust_Duration(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Bus_Get_Cust_Interrupts(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Bus_Get_Distance(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Bus_Get_Int_Duration(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_Isc(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_Isc_GR(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Bus_Get_Lambda(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_LineList(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_LoadList(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL int32_t ctx_Bus_Get_N_Customers(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Bus_Get_N_interrupts(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Bus_Get_Name(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_Nodes(const void* ctx, int32_t** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_Nodes_GR(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Bus_Get_NumNodes(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Bus_Get_SectionID(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_SeqVoltages(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_SeqVoltages_GR(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Bus_Get_TotalMiles(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_VLL(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_VLL_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_VMagAngle(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_VMagAngle_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_Voc(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_Voc_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_Voltages(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_Voltages_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_YscMatrix(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_YscMatrix_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_ZSC012Matrix(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_ZSC012Matrix_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_Zsc0(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_Zsc0_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_Zsc1(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_Zsc1_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_ZscMatrix(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_ZscMatrix_GR(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Bus_Get_kVBase(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_puVLL(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_puVLL_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_puVmagAngle(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_puVmagAngle_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_puVoltages(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Bus_Get_puVoltages_GR(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Bus_Get_x(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Bus_Get_y(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Bus_Set_x(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Bus_Set_y(const void* ctx, double Value);
ALTDSS_ODDIE_DLL uint16_t ctx_Bus_ZscRefresh(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_CapControls_Get_AllNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL double ctx_CapControls_Get_CTratio(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_CapControls_Get_Capacitor(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_CapControls_Get_Count(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_CapControls_Get_DeadTime(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_CapControls_Get_Delay(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_CapControls_Get_DelayOff(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_CapControls_Get_First(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_CapControls_Get_Mode(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_CapControls_Get_MonitoredObj(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_CapControls_Get_MonitoredTerm(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_CapControls_Get_Name(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_CapControls_Get_Next(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_CapControls_Get_OFFSetting(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_CapControls_Get_ONSetting(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_CapControls_Get_PTratio(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_CapControls_Get_UseVoltOverride(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_CapControls_Get_Vmax(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_CapControls_Get_Vmin(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_CapControls_Set_CTratio(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_CapControls_Set_Capacitor(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_CapControls_Set_DeadTime(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_CapControls_Set_Delay(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_CapControls_Set_DelayOff(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_CapControls_Set_Mode(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_CapControls_Set_MonitoredObj(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_CapControls_Set_MonitoredTerm(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_CapControls_Set_Name(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_CapControls_Set_OFFSetting(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_CapControls_Set_ONSetting(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_CapControls_Set_PTratio(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_CapControls_Set_UseVoltOverride(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL void ctx_CapControls_Set_Vmax(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_CapControls_Set_Vmin(const void* ctx, double Value);
ALTDSS_ODDIE_DLL uint16_t ctx_Capacitors_AddStep(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Capacitors_Close(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Capacitors_Get_AllNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL int32_t ctx_Capacitors_Get_AvailableSteps(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Capacitors_Get_Count(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Capacitors_Get_First(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_Capacitors_Get_IsDelta(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Capacitors_Get_Name(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Capacitors_Get_Next(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Capacitors_Get_NumSteps(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Capacitors_Get_States(const void* ctx, int32_t** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Capacitors_Get_States_GR(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Capacitors_Get_kV(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Capacitors_Get_kvar(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Capacitors_Open(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Capacitors_Set_IsDelta(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL void ctx_Capacitors_Set_Name(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Capacitors_Set_NumSteps(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Capacitors_Set_States(const void* ctx, const int32_t* ValuePtr, int32_t ValueCount);
ALTDSS_ODDIE_DLL void ctx_Capacitors_Set_kV(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Capacitors_Set_kvar(const void* ctx, double Value);
ALTDSS_ODDIE_DLL uint16_t ctx_Capacitors_SubtractStep(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Circuit_Capacity(const void* ctx, double Start, double Increment);
ALTDSS_ODDIE_DLL void ctx_Circuit_Disable(const void* ctx, const char* Name);
ALTDSS_ODDIE_DLL void ctx_Circuit_Enable(const void* ctx, const char* Name);
ALTDSS_ODDIE_DLL void ctx_Circuit_EndOfTimeStepUpdate(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Circuit_FirstElement(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Circuit_FirstPCElement(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Circuit_FirstPDElement(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_AllBusDistances(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_AllBusDistances_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_AllBusNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_AllBusVmag(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_AllBusVmag_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_AllBusVmagPu(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_AllBusVmagPu_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_AllBusVolts(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_AllBusVolts_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_AllElementLosses(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_AllElementLosses_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_AllElementNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_AllNodeDistances(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_AllNodeDistances_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_AllNodeDistancesByPhase(const void* ctx, double** ResultPtr, int32_t* ResultDims, int32_t Phase);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_AllNodeDistancesByPhase_GR(const void* ctx, int32_t Phase);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_AllNodeNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_AllNodeNamesByPhase(const void* ctx, char*** ResultPtr, int32_t* ResultDims, int32_t Phase);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_AllNodeVmagByPhase(const void* ctx, double** ResultPtr, int32_t* ResultDims, int32_t Phase);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_AllNodeVmagByPhase_GR(const void* ctx, int32_t Phase);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_AllNodeVmagPUByPhase(const void* ctx, double** ResultPtr, int32_t* ResultDims, int32_t Phase);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_AllNodeVmagPUByPhase_GR(const void* ctx, int32_t Phase);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_LineLosses(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_LineLosses_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_Losses(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_Losses_GR(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Circuit_Get_Name(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Circuit_Get_NumBuses(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Circuit_Get_NumCktElements(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Circuit_Get_NumNodes(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Circuit_Get_ParentPDElement(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_SubstationLosses(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_SubstationLosses_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_SystemY(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_SystemY_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_TotalPower(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_TotalPower_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_YCurrents(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_YCurrents_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_YNodeOrder(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_YNodeVarray(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_YNodeVarray_GR(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Circuit_NextElement(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Circuit_NextPCElement(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Circuit_NextPDElement(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Circuit_Sample(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Circuit_SaveSample(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Circuit_SetActiveBusi(const void* ctx, int32_t BusIndex);
ALTDSS_ODDIE_DLL void ctx_Circuit_UpdateStorage(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_CktElement_Close(const void* ctx, int32_t Term, int32_t Phs);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_AllPropertyNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_AllVariableNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_AllVariableValues(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_AllVariableValues_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_BusNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL const char* ctx_CktElement_Get_Controller(const void* ctx, int32_t idx);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_CplxSeqCurrents(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_CplxSeqCurrents_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_CplxSeqVoltages(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_CplxSeqVoltages_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_Currents(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_Currents_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_CurrentsMagAng(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_CurrentsMagAng_GR(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_CktElement_Get_DisplayName(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_CktElement_Get_EmergAmps(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_CktElement_Get_Enabled(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_CktElement_Get_EnergyMeter(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_CktElement_Get_GUID(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_CktElement_Get_HasSwitchControl(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_CktElement_Get_HasVoltControl(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_Losses(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_Losses_GR(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_CktElement_Get_Name(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_NodeOrder(const void* ctx, int32_t** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_NodeOrder_GR(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_CktElement_Get_NormalAmps(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_CktElement_Get_NumConductors(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_CktElement_Get_NumControls(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_CktElement_Get_NumPhases(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_CktElement_Get_NumProperties(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_CktElement_Get_NumTerminals(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_CktElement_Get_OCPDevIndex(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_CktElement_Get_OCPDevType(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_PhaseLosses(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_PhaseLosses_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_Powers(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_Powers_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_Residuals(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_Residuals_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_SeqCurrents(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_SeqCurrents_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_SeqPowers(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_SeqPowers_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_SeqVoltages(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_SeqVoltages_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_TotalPowers(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_TotalPowers_GR(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_CktElement_Get_VariableName(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_CktElement_Get_VariableValue(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_Voltages(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_Voltages_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_VoltagesMagAng(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_VoltagesMagAng_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_Yprim(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_Yprim_GR(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_CktElement_IsOpen(const void* ctx, int32_t Term, int32_t Phs);
ALTDSS_ODDIE_DLL void ctx_CktElement_Open(const void* ctx, int32_t Term, int32_t Phs);
ALTDSS_ODDIE_DLL void ctx_CktElement_Set_DisplayName(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_CktElement_Set_EmergAmps(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_CktElement_Set_Enabled(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL void ctx_CktElement_Set_NormalAmps(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_CktElement_Set_VariableIdx(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_CktElement_Set_VariableValue(const void* ctx, double Value);
ALTDSS_ODDIE_DLL double ctx_CmathLib_Get_cabs(const void* ctx, double realpart, double imagpart);
ALTDSS_ODDIE_DLL void ctx_CmathLib_Get_cmplx(const void* ctx, double** ResultPtr, int32_t* ResultDims, double RealPart, double ImagPart);
ALTDSS_ODDIE_DLL void ctx_CmathLib_Get_cmplx_GR(const void* ctx, double RealPart, double ImagPart);
ALTDSS_ODDIE_DLL void ctx_CmathLib_Get_ctopolardeg(const void* ctx, double** ResultPtr, int32_t* ResultDims, double RealPart, double ImagPart);
ALTDSS_ODDIE_DLL void ctx_CmathLib_Get_ctopolardeg_GR(const void* ctx, double RealPart, double ImagPart);
ALTDSS_ODDIE_DLL void ctx_CmathLib_Get_pdegtocomplex(const void* ctx, double** ResultPtr, int32_t* ResultDims, double magnitude, double angle);
ALTDSS_ODDIE_DLL void ctx_CmathLib_Get_pdegtocomplex_GR(const void* ctx, double magnitude, double angle);
ALTDSS_ODDIE_DLL void ctx_CtrlQueue_ClearActions(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_CtrlQueue_ClearQueue(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_CtrlQueue_Delete(const void* ctx, int32_t ActionHandle);
ALTDSS_ODDIE_DLL void ctx_CtrlQueue_DoAllQueue(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_CtrlQueue_Get_ActionCode(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_CtrlQueue_Get_DeviceHandle(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_CtrlQueue_Get_NumActions(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_CtrlQueue_Get_PopAction(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_CtrlQueue_Get_Queue(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL int32_t ctx_CtrlQueue_Get_QueueSize(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_CtrlQueue_Set_Action(const void* ctx, int32_t Param1);
ALTDSS_ODDIE_DLL void ctx_CtrlQueue_Show(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_DSSElement_Get_AllPropertyNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL const char* ctx_DSSElement_Get_Name(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_DSSElement_Get_NumProperties(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_DSSProgress_Close(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_DSSProgress_Set_Caption(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_DSSProgress_Set_PctProgress(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_DSSProgress_Show(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_DSS_ClearAll(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_DSS_Executive_Get_Command(const void* ctx, int32_t i);
ALTDSS_ODDIE_DLL const char* ctx_DSS_Executive_Get_CommandHelp(const void* ctx, int32_t i);
ALTDSS_ODDIE_DLL int32_t ctx_DSS_Executive_Get_NumCommands(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_DSS_Executive_Get_NumOptions(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_DSS_Executive_Get_Option(const void* ctx, int32_t i);
ALTDSS_ODDIE_DLL const char* ctx_DSS_Executive_Get_OptionHelp(const void* ctx, int32_t i);
ALTDSS_ODDIE_DLL const char* ctx_DSS_Executive_Get_OptionValue(const void* ctx, int32_t i);
ALTDSS_ODDIE_DLL uint16_t ctx_DSS_Get_AllowForms(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_DSS_Get_Classes(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL const char* ctx_DSS_Get_DataPath(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_DSS_Get_DefaultEditor(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_DSS_Get_NumCircuits(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_DSS_Get_NumClasses(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_DSS_Get_NumUserClasses(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_DSS_Get_UserClasses(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL const char* ctx_DSS_Get_Version(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_DSS_NewCircuit(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_DSS_Reset(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_DSS_Set_AllowForms(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL void ctx_DSS_Set_DataPath(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL uint16_t ctx_DSS_Start(const void* ctx, int32_t code);
ALTDSS_ODDIE_DLL void ctx_Fuses_Close(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Fuses_Get_AllNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL int32_t ctx_Fuses_Get_Count(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Fuses_Get_Delay(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Fuses_Get_First(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Fuses_Get_MonitoredObj(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Fuses_Get_MonitoredTerm(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Fuses_Get_Name(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Fuses_Get_Next(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Fuses_Get_NormalState(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL int32_t ctx_Fuses_Get_NumPhases(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Fuses_Get_RatedCurrent(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Fuses_Get_State(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL const char* ctx_Fuses_Get_SwitchedObj(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Fuses_Get_SwitchedTerm(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Fuses_Get_TCCcurve(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Fuses_Get_idx(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_Fuses_IsBlown(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Fuses_Open(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Fuses_Reset(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Fuses_Set_Delay(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Fuses_Set_MonitoredObj(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Fuses_Set_MonitoredTerm(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Fuses_Set_Name(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Fuses_Set_RatedCurrent(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Fuses_Set_SwitchedObj(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Fuses_Set_SwitchedTerm(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Fuses_Set_TCCcurve(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Fuses_Set_idx(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_GICSources_Get_AllNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL const char* ctx_GICSources_Get_Bus1(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_GICSources_Get_Bus2(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_GICSources_Get_Count(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_GICSources_Get_EE(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_GICSources_Get_EN(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_GICSources_Get_First(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_GICSources_Get_Lat1(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_GICSources_Get_Lat2(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_GICSources_Get_Lon1(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_GICSources_Get_Lon2(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_GICSources_Get_Name(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_GICSources_Get_Next(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_GICSources_Get_Phases(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_GICSources_Get_Volts(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_GICSources_Set_EE(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_GICSources_Set_EN(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_GICSources_Set_Lat1(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_GICSources_Set_Lat2(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_GICSources_Set_Lon1(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_GICSources_Set_Lon2(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_GICSources_Set_Name(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_GICSources_Set_Phases(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_GICSources_Set_Volts(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Generators_Get_AllNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL int32_t ctx_Generators_Get_Count(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Generators_Get_First(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_Generators_Get_ForcedON(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Generators_Get_Model(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Generators_Get_Name(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Generators_Get_Next(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Generators_Get_PF(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Generators_Get_Phases(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Generators_Get_RegisterNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Generators_Get_RegisterValues(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Generators_Get_RegisterValues_GR(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Generators_Get_Vmaxpu(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Generators_Get_Vminpu(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Generators_Get_idx(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Generators_Get_kV(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Generators_Get_kVArated(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Generators_Get_kW(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Generators_Get_kvar(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Generators_Set_ForcedON(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL void ctx_Generators_Set_Model(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Generators_Set_Name(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Generators_Set_PF(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Generators_Set_Phases(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Generators_Set_Vmaxpu(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Generators_Set_Vminpu(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Generators_Set_idx(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Generators_Set_kV(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Generators_Set_kVArated(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Generators_Set_kW(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Generators_Set_kvar(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_ISources_Get_AllNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL double ctx_ISources_Get_Amps(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_ISources_Get_AngleDeg(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_ISources_Get_Count(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_ISources_Get_First(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_ISources_Get_Frequency(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_ISources_Get_Name(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_ISources_Get_Next(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_ISources_Set_Amps(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_ISources_Set_AngleDeg(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_ISources_Set_Frequency(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_ISources_Set_Name(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_LineCodes_Get_AllNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL double ctx_LineCodes_Get_C0(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_LineCodes_Get_C1(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_LineCodes_Get_Cmatrix(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_LineCodes_Get_Cmatrix_GR(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_LineCodes_Get_Count(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_LineCodes_Get_EmergAmps(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_LineCodes_Get_First(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_LineCodes_Get_IsZ1Z0(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_LineCodes_Get_Name(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_LineCodes_Get_Next(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_LineCodes_Get_NormAmps(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_LineCodes_Get_Phases(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_LineCodes_Get_R0(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_LineCodes_Get_R1(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_LineCodes_Get_Rmatrix(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_LineCodes_Get_Rmatrix_GR(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_LineCodes_Get_Units(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_LineCodes_Get_X0(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_LineCodes_Get_X1(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_LineCodes_Get_Xmatrix(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_LineCodes_Get_Xmatrix_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_LineCodes_Set_C0(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_LineCodes_Set_C1(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_LineCodes_Set_Cmatrix(const void* ctx, const double* ValuePtr, int32_t ValueCount);
ALTDSS_ODDIE_DLL void ctx_LineCodes_Set_EmergAmps(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_LineCodes_Set_Name(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_LineCodes_Set_NormAmps(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_LineCodes_Set_Phases(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_LineCodes_Set_R0(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_LineCodes_Set_R1(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_LineCodes_Set_Rmatrix(const void* ctx, const double* ValuePtr, int32_t ValueCount);
ALTDSS_ODDIE_DLL void ctx_LineCodes_Set_Units(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_LineCodes_Set_X0(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_LineCodes_Set_X1(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_LineCodes_Set_Xmatrix(const void* ctx, const double* ValuePtr, int32_t ValueCount);
ALTDSS_ODDIE_DLL void ctx_Lines_Get_AllNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL const char* ctx_Lines_Get_Bus1(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Lines_Get_Bus2(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Lines_Get_C0(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Lines_Get_C1(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Lines_Get_Cmatrix(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Lines_Get_Cmatrix_GR(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Lines_Get_Count(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Lines_Get_EmergAmps(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Lines_Get_First(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Lines_Get_Geometry(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Lines_Get_Length(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Lines_Get_LineCode(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Lines_Get_Name(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Lines_Get_Next(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Lines_Get_NormAmps(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Lines_Get_NumCust(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Lines_Get_Parent(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Lines_Get_Phases(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Lines_Get_R0(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Lines_Get_R1(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Lines_Get_Rg(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Lines_Get_Rho(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Lines_Get_Rmatrix(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Lines_Get_Rmatrix_GR(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Lines_Get_SeasonRating(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Lines_Get_Spacing(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Lines_Get_Units(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Lines_Get_X0(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Lines_Get_X1(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Lines_Get_Xg(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Lines_Get_Xmatrix(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Lines_Get_Xmatrix_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Lines_Get_Yprim(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Lines_Get_Yprim_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Lines_Set_Bus1(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Lines_Set_Bus2(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Lines_Set_C0(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Lines_Set_C1(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Lines_Set_Cmatrix(const void* ctx, const double* ValuePtr, int32_t ValueCount);
ALTDSS_ODDIE_DLL void ctx_Lines_Set_EmergAmps(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Lines_Set_Geometry(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Lines_Set_Length(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Lines_Set_LineCode(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Lines_Set_Name(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Lines_Set_NormAmps(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Lines_Set_Phases(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Lines_Set_R0(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Lines_Set_R1(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Lines_Set_Rg(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Lines_Set_Rho(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Lines_Set_Rmatrix(const void* ctx, const double* ValuePtr, int32_t ValueCount);
ALTDSS_ODDIE_DLL void ctx_Lines_Set_Spacing(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Lines_Set_Units(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Lines_Set_X0(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Lines_Set_X1(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Lines_Set_Xg(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Lines_Set_Xmatrix(const void* ctx, const double* ValuePtr, int32_t ValueCount);
ALTDSS_ODDIE_DLL void ctx_Lines_Set_Yprim(const void* ctx, const double* ValuePtr, int32_t ValueCount);
ALTDSS_ODDIE_DLL void ctx_LoadShapes_Get_AllNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL int32_t ctx_LoadShapes_Get_Count(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_LoadShapes_Get_First(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_LoadShapes_Get_HrInterval(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_LoadShapes_Get_MinInterval(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_LoadShapes_Get_Name(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_LoadShapes_Get_Next(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_LoadShapes_Get_Npts(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_LoadShapes_Get_PBase(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_LoadShapes_Get_Pmult(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_LoadShapes_Get_Pmult_GR(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_LoadShapes_Get_Qbase(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_LoadShapes_Get_Qmult(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_LoadShapes_Get_Qmult_GR(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_LoadShapes_Get_SInterval(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_LoadShapes_Get_TimeArray(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_LoadShapes_Get_TimeArray_GR(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_LoadShapes_Get_UseActual(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_LoadShapes_Normalize(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_LoadShapes_Set_HrInterval(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_LoadShapes_Set_MinInterval(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_LoadShapes_Set_Name(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_LoadShapes_Set_Npts(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_LoadShapes_Set_PBase(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_LoadShapes_Set_Pmult(const void* ctx, const double* ValuePtr, int32_t ValueCount);
ALTDSS_ODDIE_DLL void ctx_LoadShapes_Set_Qbase(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_LoadShapes_Set_Qmult(const void* ctx, const double* ValuePtr, int32_t ValueCount);
ALTDSS_ODDIE_DLL void ctx_LoadShapes_Set_SInterval(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_LoadShapes_Set_TimeArray(const void* ctx, const double* ValuePtr, int32_t ValueCount);
ALTDSS_ODDIE_DLL void ctx_LoadShapes_Set_UseActual(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Get_AllNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL double ctx_Loads_Get_AllocationFactor(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Loads_Get_CVRcurve(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Loads_Get_CVRvars(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Loads_Get_CVRwatts(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Loads_Get_Cfactor(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Loads_Get_Class_(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Loads_Get_Count(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Loads_Get_First(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Loads_Get_Growth(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_Loads_Get_IsDelta(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Loads_Get_Model(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Loads_Get_Name(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Loads_Get_Next(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Loads_Get_NumCust(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Loads_Get_PF(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Loads_Get_PctMean(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Loads_Get_PctStdDev(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Loads_Get_RelWeight(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Loads_Get_Rneut(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Loads_Get_Sensor(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Loads_Get_Spectrum(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Loads_Get_Status(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Loads_Get_Vmaxpu(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Loads_Get_Vminemerg(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Loads_Get_Vminnorm(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Loads_Get_Vminpu(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Loads_Get_Xneut(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Loads_Get_Yearly(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Loads_Get_ZIPV(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Loads_Get_ZIPV_GR(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Loads_Get_daily(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Loads_Get_duty(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Loads_Get_idx(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Loads_Get_kV(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Loads_Get_kW(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Loads_Get_kva(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Loads_Get_kvar(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Loads_Get_kwh(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Loads_Get_kwhdays(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Loads_Get_pctSeriesRL(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Loads_Get_xfkVA(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_AllocationFactor(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_CVRcurve(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_CVRvars(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_CVRwatts(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_Cfactor(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_Class_(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_Growth(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_IsDelta(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_Model(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_Name(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_NumCust(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_PF(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_PctMean(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_PctStdDev(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_RelWeight(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_Rneut(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_Spectrum(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_Status(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_Vmaxpu(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_Vminemerg(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_Vminnorm(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_Vminpu(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_Xneut(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_Yearly(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_ZIPV(const void* ctx, const double* ValuePtr, int32_t ValueCount);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_daily(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_duty(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_idx(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_kV(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_kW(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_kva(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_kvar(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_kwh(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_kwhdays(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_pctSeriesRL(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Loads_Set_xfkVA(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Meters_CloseAllDIFiles(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Meters_DoReliabilityCalc(const void* ctx, uint16_t AssumeRestoration);
ALTDSS_ODDIE_DLL void ctx_Meters_Get_AllBranchesInZone(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Meters_Get_AllEndElements(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Meters_Get_AllNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Meters_Get_AllocFactors(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Meters_Get_AllocFactors_GR(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Meters_Get_AvgRepairTime(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Meters_Get_CalcCurrent(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Meters_Get_CalcCurrent_GR(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Meters_Get_Count(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Meters_Get_CountBranches(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Meters_Get_CountEndElements(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Meters_Get_CustInterrupts(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_Meters_Get_DIFilesAreOpen(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Meters_Get_FaultRateXRepairHrs(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Meters_Get_First(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Meters_Get_MeteredElement(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Meters_Get_MeteredTerminal(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Meters_Get_Name(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Meters_Get_Next(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Meters_Get_NumSectionBranches(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Meters_Get_NumSectionCustomers(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Meters_Get_NumSections(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Meters_Get_OCPDeviceType(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Meters_Get_Peakcurrent(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Meters_Get_Peakcurrent_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Meters_Get_RegisterNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Meters_Get_RegisterValues(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Meters_Get_RegisterValues_GR(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Meters_Get_SAIDI(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Meters_Get_SAIFI(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Meters_Get_SAIFIKW(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Meters_Get_SectSeqIdx(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Meters_Get_SectTotalCust(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Meters_Get_SeqListSize(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Meters_Get_SequenceIndex(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Meters_Get_SumBranchFltRates(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Meters_Get_TotalCustomers(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Meters_Get_Totals(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Meters_Get_Totals_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Meters_Get_ZonePCE(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Meters_OpenAllDIFiles(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Meters_Reset(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Meters_ResetAll(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Meters_Sample(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Meters_SampleAll(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Meters_Save(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Meters_SaveAll(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Meters_SetActiveSection(const void* ctx, int32_t SectIdx);
ALTDSS_ODDIE_DLL void ctx_Meters_Set_AllocFactors(const void* ctx, const double* ValuePtr, int32_t ValueCount);
ALTDSS_ODDIE_DLL void ctx_Meters_Set_CalcCurrent(const void* ctx, const double* ValuePtr, int32_t ValueCount);
ALTDSS_ODDIE_DLL void ctx_Meters_Set_MeteredElement(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Meters_Set_MeteredTerminal(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Meters_Set_Name(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Meters_Set_Peakcurrent(const void* ctx, const double* ValuePtr, int32_t ValueCount);
ALTDSS_ODDIE_DLL void ctx_Meters_Set_SequenceIndex(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Monitors_Get_AllNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Monitors_Get_ByteStream(const void* ctx, int8_t** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Monitors_Get_ByteStream_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Monitors_Get_Channel(const void* ctx, double** ResultPtr, int32_t* ResultDims, int32_t Index);
ALTDSS_ODDIE_DLL void ctx_Monitors_Get_Channel_GR(const void* ctx, int32_t Index);
ALTDSS_ODDIE_DLL int32_t ctx_Monitors_Get_Count(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Monitors_Get_Element(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Monitors_Get_FileName(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Monitors_Get_FileVersion(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Monitors_Get_First(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Monitors_Get_Header(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL int32_t ctx_Monitors_Get_Mode(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Monitors_Get_Name(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Monitors_Get_Next(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Monitors_Get_NumChannels(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Monitors_Get_RecordSize(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Monitors_Get_SampleCount(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Monitors_Get_Terminal(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Monitors_Get_dblFreq(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Monitors_Get_dblFreq_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Monitors_Get_dblHour(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Monitors_Get_dblHour_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Monitors_Process(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Monitors_ProcessAll(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Monitors_Reset(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Monitors_ResetAll(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Monitors_Sample(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Monitors_SampleAll(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Monitors_Save(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Monitors_SaveAll(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Monitors_Set_Element(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Monitors_Set_Mode(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Monitors_Set_Name(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Monitors_Set_Terminal(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Monitors_Show(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_PDElements_Get_AccumulatedL(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_PDElements_Get_Count(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_PDElements_Get_FaultRate(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_PDElements_Get_First(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_PDElements_Get_FromTerminal(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_PDElements_Get_IsShunt(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_PDElements_Get_Lambda(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_PDElements_Get_Name(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_PDElements_Get_Next(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_PDElements_Get_Numcustomers(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_PDElements_Get_ParentPDElement(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_PDElements_Get_RepairTime(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_PDElements_Get_SectionID(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_PDElements_Get_TotalMiles(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_PDElements_Get_Totalcustomers(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_PDElements_Get_pctPermanent(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_PDElements_Set_FaultRate(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_PDElements_Set_Name(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_PDElements_Set_pctPermanent(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_PVSystems_Get_AllNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL int32_t ctx_PVSystems_Get_Count(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_PVSystems_Get_First(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_PVSystems_Get_Irradiance(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_PVSystems_Get_IrradianceNow(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_PVSystems_Get_Name(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_PVSystems_Get_Next(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_PVSystems_Get_PF(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_PVSystems_Get_Pmpp(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_PVSystems_Get_Sensor(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_PVSystems_Get_idx(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_PVSystems_Get_kVArated(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_PVSystems_Get_kW(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_PVSystems_Get_kvar(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_PVSystems_Set_Irradiance(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_PVSystems_Set_Name(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_PVSystems_Set_PF(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_PVSystems_Set_Pmpp(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_PVSystems_Set_idx(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_PVSystems_Set_kVArated(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_PVSystems_Set_kvar(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Parallel_CreateActor(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Parallel_Get_ActiveActor(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Parallel_Get_ActiveParallel(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Parallel_Get_ActorCPU(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Parallel_Get_ActorProgress(const void* ctx, int32_t** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Parallel_Get_ActorProgress_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Parallel_Get_ActorStatus(const void* ctx, int32_t** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Parallel_Get_ActorStatus_GR(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Parallel_Get_ConcatenateReports(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Parallel_Get_NumCPUs(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Parallel_Get_NumCores(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Parallel_Get_NumOfActors(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Parallel_Set_ActiveActor(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Parallel_Set_ActiveParallel(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Parallel_Set_ActorCPU(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Parallel_Set_ConcatenateReports(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Parallel_Wait(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_Parser_Get_AutoIncrement(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Parser_Get_BeginQuote(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Parser_Get_CmdString(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Parser_Get_DblValue(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Parser_Get_Delimiters(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Parser_Get_EndQuote(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Parser_Get_IntValue(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Parser_Get_Matrix(const void* ctx, double** ResultPtr, int32_t* ResultDims, int32_t ExpectedOrder);
ALTDSS_ODDIE_DLL void ctx_Parser_Get_Matrix_GR(const void* ctx, int32_t ExpectedOrder);
ALTDSS_ODDIE_DLL const char* ctx_Parser_Get_NextParam(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Parser_Get_StrValue(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Parser_Get_SymMatrix(const void* ctx, double** ResultPtr, int32_t* ResultDims, int32_t ExpectedOrder);
ALTDSS_ODDIE_DLL void ctx_Parser_Get_SymMatrix_GR(const void* ctx, int32_t ExpectedOrder);
ALTDSS_ODDIE_DLL void ctx_Parser_Get_Vector(const void* ctx, double** ResultPtr, int32_t* ResultDims, int32_t ExpectedSize);
ALTDSS_ODDIE_DLL void ctx_Parser_Get_Vector_GR(const void* ctx, int32_t ExpectedSize);
ALTDSS_ODDIE_DLL const char* ctx_Parser_Get_WhiteSpace(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Parser_ResetDelimiters(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Parser_Set_AutoIncrement(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL void ctx_Parser_Set_BeginQuote(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Parser_Set_CmdString(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Parser_Set_Delimiters(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Parser_Set_EndQuote(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Parser_Set_WhiteSpace(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Reclosers_Close(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Reclosers_Get_AllNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL int32_t ctx_Reclosers_Get_Count(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Reclosers_Get_First(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Reclosers_Get_GroundInst(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Reclosers_Get_GroundTrip(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Reclosers_Get_MonitoredObj(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Reclosers_Get_MonitoredTerm(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Reclosers_Get_Name(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Reclosers_Get_Next(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Reclosers_Get_NumFast(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Reclosers_Get_PhaseInst(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Reclosers_Get_PhaseTrip(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Reclosers_Get_RecloseIntervals(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Reclosers_Get_RecloseIntervals_GR(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Reclosers_Get_Shots(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Reclosers_Get_SwitchedObj(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Reclosers_Get_SwitchedTerm(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Reclosers_Get_idx(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Reclosers_Open(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Reclosers_Reset(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Reclosers_Set_GroundInst(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Reclosers_Set_GroundTrip(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Reclosers_Set_MonitoredObj(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Reclosers_Set_MonitoredTerm(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Reclosers_Set_Name(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Reclosers_Set_NumFast(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Reclosers_Set_PhaseInst(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Reclosers_Set_PhaseTrip(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Reclosers_Set_Shots(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Reclosers_Set_SwitchedObj(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Reclosers_Set_SwitchedTerm(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Reclosers_Set_idx(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_ReduceCkt_Do1phLaterals(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_ReduceCkt_DoBranchRemove(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_ReduceCkt_DoDangling(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_ReduceCkt_DoDefault(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_ReduceCkt_DoLoopBreak(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_ReduceCkt_DoParallelLines(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_ReduceCkt_DoShortLines(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_ReduceCkt_DoSwitches(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_ReduceCkt_Get_EditString(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_ReduceCkt_Get_EnergyMeter(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_ReduceCkt_Get_KeepLoad(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_ReduceCkt_Get_StartPDElement(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_ReduceCkt_Get_Zmag(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_ReduceCkt_SaveCircuit(const void* ctx, const char* CktName);
ALTDSS_ODDIE_DLL void ctx_ReduceCkt_Set_EditString(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_ReduceCkt_Set_EnergyMeter(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_ReduceCkt_Set_KeepLoad(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL void ctx_ReduceCkt_Set_StartPDElement(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_ReduceCkt_Set_Zmag(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_RegControls_Get_AllNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL double ctx_RegControls_Get_CTPrimary(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_RegControls_Get_Count(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_RegControls_Get_Delay(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_RegControls_Get_First(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_RegControls_Get_ForwardBand(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_RegControls_Get_ForwardR(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_RegControls_Get_ForwardVreg(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_RegControls_Get_ForwardX(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_RegControls_Get_IsInverseTime(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_RegControls_Get_IsReversible(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_RegControls_Get_MaxTapChange(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_RegControls_Get_MonitoredBus(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_RegControls_Get_Name(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_RegControls_Get_Next(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_RegControls_Get_PTratio(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_RegControls_Get_ReverseBand(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_RegControls_Get_ReverseR(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_RegControls_Get_ReverseVreg(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_RegControls_Get_ReverseX(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_RegControls_Get_TapDelay(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_RegControls_Get_TapNumber(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_RegControls_Get_TapWinding(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_RegControls_Get_Transformer(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_RegControls_Get_VoltageLimit(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_RegControls_Get_Winding(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_RegControls_Set_CTPrimary(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_RegControls_Set_Delay(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_RegControls_Set_ForwardBand(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_RegControls_Set_ForwardR(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_RegControls_Set_ForwardVreg(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_RegControls_Set_ForwardX(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_RegControls_Set_IsInverseTime(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL void ctx_RegControls_Set_IsReversible(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL void ctx_RegControls_Set_MaxTapChange(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_RegControls_Set_MonitoredBus(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_RegControls_Set_Name(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_RegControls_Set_PTratio(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_RegControls_Set_ReverseBand(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_RegControls_Set_ReverseR(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_RegControls_Set_ReverseVreg(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_RegControls_Set_ReverseX(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_RegControls_Set_TapDelay(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_RegControls_Set_TapNumber(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_RegControls_Set_TapWinding(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_RegControls_Set_Transformer(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_RegControls_Set_VoltageLimit(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_RegControls_Set_Winding(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Relays_Close(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Relays_Get_AllNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL int32_t ctx_Relays_Get_Count(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Relays_Get_First(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Relays_Get_MonitoredObj(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Relays_Get_MonitoredTerm(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Relays_Get_Name(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Relays_Get_Next(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Relays_Get_SwitchedObj(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Relays_Get_SwitchedTerm(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Relays_Get_idx(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Relays_Open(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Relays_Reset(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Relays_Set_MonitoredObj(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Relays_Set_MonitoredTerm(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Relays_Set_Name(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Relays_Set_SwitchedObj(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Relays_Set_SwitchedTerm(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Relays_Set_idx(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Sensors_Get_AllNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Sensors_Get_AllocationFactor(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Sensors_Get_AllocationFactor_GR(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Sensors_Get_Count(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Sensors_Get_Currents(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Sensors_Get_Currents_GR(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Sensors_Get_First(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_Sensors_Get_IsDelta(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Sensors_Get_MeteredElement(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Sensors_Get_MeteredTerminal(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Sensors_Get_Name(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Sensors_Get_Next(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Sensors_Get_PctError(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_Sensors_Get_ReverseDelta(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Sensors_Get_Weight(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Sensors_Get_kVARS(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Sensors_Get_kVARS_GR(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Sensors_Get_kVbase(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Sensors_Get_kWS(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Sensors_Get_kWS_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Sensors_Reset(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Sensors_ResetAll(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Sensors_Set_Currents(const void* ctx, const double* ValuePtr, int32_t ValueCount);
ALTDSS_ODDIE_DLL void ctx_Sensors_Set_IsDelta(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL void ctx_Sensors_Set_MeteredElement(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Sensors_Set_MeteredTerminal(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Sensors_Set_Name(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Sensors_Set_PctError(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Sensors_Set_ReverseDelta(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL void ctx_Sensors_Set_Weight(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Sensors_Set_kVARS(const void* ctx, const double* ValuePtr, int32_t ValueCount);
ALTDSS_ODDIE_DLL void ctx_Sensors_Set_kVbase(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Sensors_Set_kWS(const void* ctx, const double* ValuePtr, int32_t ValueCount);
ALTDSS_ODDIE_DLL uint16_t ctx_Settings_Get_AllowDuplicates(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Settings_Get_AutoBusList(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Settings_Get_CktModel(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Settings_Get_EmergVmaxpu(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Settings_Get_EmergVminpu(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Settings_Get_LossRegs(const void* ctx, int32_t** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Settings_Get_LossRegs_GR(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Settings_Get_LossWeight(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Settings_Get_NormVmaxpu(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Settings_Get_NormVminpu(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Settings_Get_PriceCurve(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Settings_Get_PriceSignal(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_Settings_Get_Trapezoidal(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Settings_Get_UEregs(const void* ctx, int32_t** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Settings_Get_UEregs_GR(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Settings_Get_UEweight(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Settings_Get_VoltageBases(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Settings_Get_VoltageBases_GR(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_Settings_Get_ZoneLock(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Settings_Set_AllocationFactors(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Settings_Set_AllowDuplicates(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL void ctx_Settings_Set_AutoBusList(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Settings_Set_CktModel(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Settings_Set_EmergVmaxpu(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Settings_Set_EmergVminpu(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Settings_Set_LossRegs(const void* ctx, const int32_t* ValuePtr, int32_t ValueCount);
ALTDSS_ODDIE_DLL void ctx_Settings_Set_LossWeight(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Settings_Set_NormVmaxpu(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Settings_Set_NormVminpu(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Settings_Set_PriceCurve(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Settings_Set_PriceSignal(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Settings_Set_Trapezoidal(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL void ctx_Settings_Set_UEregs(const void* ctx, const int32_t* ValuePtr, int32_t ValueCount);
ALTDSS_ODDIE_DLL void ctx_Settings_Set_UEweight(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Settings_Set_VoltageBases(const void* ctx, const double* ValuePtr, int32_t ValueCount);
ALTDSS_ODDIE_DLL void ctx_Settings_Set_ZoneLock(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL void ctx_Solution_CheckControls(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Solution_CheckFaultStatus(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Solution_Cleanup(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Solution_DoControlActions(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Solution_FinishTimeStep(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Solution_Get_AddType(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Solution_Get_Algorithm(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Solution_Get_BusLevels(const void* ctx, int32_t** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Solution_Get_BusLevels_GR(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Solution_Get_Capkvar(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_Solution_Get_ControlActionsDone(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Solution_Get_ControlIterations(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Solution_Get_ControlMode(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_Solution_Get_Converged(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Solution_Get_DefaultDaily(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Solution_Get_DefaultYearly(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Solution_Get_EventLog(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL double ctx_Solution_Get_Frequency(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Solution_Get_GenMult(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Solution_Get_GenPF(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Solution_Get_GenkW(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Solution_Get_Hour(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Solution_Get_IncMatrix(const void* ctx, int32_t** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Solution_Get_IncMatrix_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Solution_Get_IncMatrixCols(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Solution_Get_IncMatrixRows(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL int32_t ctx_Solution_Get_Iterations(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Solution_Get_LDCurve(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Solution_Get_Laplacian(const void* ctx, int32_t** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Solution_Get_Laplacian_GR(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Solution_Get_LoadModel(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Solution_Get_LoadMult(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Solution_Get_MaxControlIterations(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Solution_Get_MaxIterations(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Solution_Get_Mode(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Solution_Get_ModeID(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Solution_Get_MostIterationsDone(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Solution_Get_Number(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Solution_Get_Process_Time(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Solution_Get_Random(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Solution_Get_Seconds(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Solution_Get_StepSize(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_Solution_Get_SystemYChanged(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Solution_Get_Tolerance(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Solution_Get_Total_Time(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Solution_Get_Totaliterations(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Solution_Get_Year(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Solution_Get_dblHour(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Solution_Get_pctGrowth(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Solution_InitSnap(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Solution_SampleControlDevices(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Solution_Sample_DoControlActions(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_AddType(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_Algorithm(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_Capkvar(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_ControlActionsDone(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_ControlIterations(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_ControlMode(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_Converged(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_DefaultDaily(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_DefaultYearly(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_Frequency(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_GenMult(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_GenPF(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_GenkW(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_Hour(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_LDCurve(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_LoadModel(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_LoadMult(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_MaxControlIterations(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_MaxIterations(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_Mode(const void* ctx, int32_t Mode);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_Number(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_Random(const void* ctx, int32_t Random);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_Seconds(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_StepSize(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_StepsizeHr(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_StepsizeMin(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_Tolerance(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_Total_Time(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_Year(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_dblHour(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_pctGrowth(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Solve(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Solution_SolveAll(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Solution_SolveDirect(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Solution_SolveNoControl(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Solution_SolvePflow(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Solution_SolvePlusControl(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_SwtControls_Get_Action(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_SwtControls_Get_AllNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL int32_t ctx_SwtControls_Get_Count(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_SwtControls_Get_Delay(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_SwtControls_Get_First(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_SwtControls_Get_IsLocked(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_SwtControls_Get_Name(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_SwtControls_Get_Next(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_SwtControls_Get_SwitchedObj(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_SwtControls_Get_SwitchedTerm(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_SwtControls_Set_Action(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_SwtControls_Set_Delay(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_SwtControls_Set_IsLocked(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL void ctx_SwtControls_Set_Name(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_SwtControls_Set_SwitchedObj(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_SwtControls_Set_SwitchedTerm(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL int32_t ctx_Topology_Get_ActiveBranch(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Topology_Get_ActiveLevel(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Topology_Get_AllIsolatedBranches(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Topology_Get_AllIsolatedLoads(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Topology_Get_AllLoopedPairs(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL int32_t ctx_Topology_Get_BackwardBranch(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Topology_Get_BranchName(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Topology_Get_BusName(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Topology_Get_First(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Topology_Get_FirstLoad(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Topology_Get_ForwardBranch(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Topology_Get_LoopedBranch(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Topology_Get_Next(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Topology_Get_NextLoad(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Topology_Get_NumIsolatedBranches(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Topology_Get_NumIsolatedLoads(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Topology_Get_NumLoops(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Topology_Get_ParallelBranch(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Topology_Set_BranchName(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Topology_Set_BusName(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Transformers_Get_AllNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL int32_t ctx_Transformers_Get_CoreType(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Transformers_Get_Count(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Transformers_Get_First(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_Transformers_Get_IsDelta(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Transformers_Get_MaxTap(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Transformers_Get_MinTap(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Transformers_Get_Name(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Transformers_Get_Next(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Transformers_Get_NumTaps(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Transformers_Get_NumWindings(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Transformers_Get_R(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Transformers_Get_RdcOhms(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Transformers_Get_Rneut(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Transformers_Get_Tap(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Transformers_Get_Wdg(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Transformers_Get_WdgCurrents(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Transformers_Get_WdgCurrents_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Transformers_Get_WdgVoltages(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Transformers_Get_WdgVoltages_GR(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Transformers_Get_XfmrCode(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Transformers_Get_Xhl(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Transformers_Get_Xht(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Transformers_Get_Xlt(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Transformers_Get_Xneut(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Transformers_Get_kV(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Transformers_Get_kVA(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Transformers_Get_strWdgCurrents(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Transformers_Set_CoreType(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Transformers_Set_IsDelta(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL void ctx_Transformers_Set_MaxTap(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Transformers_Set_MinTap(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Transformers_Set_Name(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Transformers_Set_NumTaps(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Transformers_Set_NumWindings(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Transformers_Set_R(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Transformers_Set_RdcOhms(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Transformers_Set_Rneut(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Transformers_Set_Tap(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Transformers_Set_Wdg(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Transformers_Set_XfmrCode(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Transformers_Set_Xhl(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Transformers_Set_Xht(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Transformers_Set_Xlt(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Transformers_Set_Xneut(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Transformers_Set_kV(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Transformers_Set_kVA(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Vsources_Get_AllNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL double ctx_Vsources_Get_AngleDeg(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Vsources_Get_BasekV(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Vsources_Get_Count(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Vsources_Get_First(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Vsources_Get_Frequency(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Vsources_Get_Name(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Vsources_Get_Next(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Vsources_Get_Phases(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Vsources_Get_pu(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Vsources_Set_AngleDeg(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Vsources_Set_BasekV(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Vsources_Set_Frequency(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Vsources_Set_Name(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Vsources_Set_Phases(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Vsources_Set_pu(const void* ctx, double Value);
ALTDSS_ODDIE_DLL int32_t ctx_XYCurves_Get_Count(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_XYCurves_Get_First(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_XYCurves_Get_Name(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_XYCurves_Get_Next(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_XYCurves_Get_Npts(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_XYCurves_Get_Xarray(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_XYCurves_Get_Xarray_GR(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_XYCurves_Get_Xscale(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_XYCurves_Get_Xshift(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_XYCurves_Get_Yarray(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_XYCurves_Get_Yarray_GR(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_XYCurves_Get_Yscale(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_XYCurves_Get_Yshift(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_XYCurves_Get_x(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_XYCurves_Get_y(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_XYCurves_Set_Name(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_XYCurves_Set_Npts(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_XYCurves_Set_Xscale(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_XYCurves_Set_Xshift(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_XYCurves_Set_Yarray(const void* ctx, const double* ValuePtr, int32_t ValueCount);
ALTDSS_ODDIE_DLL void ctx_XYCurves_Set_Yscale(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_XYCurves_Set_Yshift(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_XYCurves_Set_x(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_XYCurves_Set_y(const void* ctx, double Value);


/* The following may need to be implemented and will give an error when called. */

#ifndef ALTDSS_ODDIE_OMIT_NOT_IMPL
ALTDSS_ODDIE_DLL int32_t ctx_Bus_Get_Next(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Capacitors_Get_idx(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Capacitors_Set_idx(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL int32_t ctx_CapControls_Get_idx(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_CapControls_Set_idx(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_ElementLosses(const void* ctx, double** ResultPtr, int32_t* ResultDims, int32_t *ElementsPtr, int32_t ElementsCount);
ALTDSS_ODDIE_DLL void ctx_Circuit_Get_ElementLosses_GR(const void* ctx, int32_t *ElementsPtr, int32_t ElementsCount);
ALTDSS_ODDIE_DLL const char* ctx_Circuit_Save(const void* ctx, const char* dirOrFilePath, uint32_t saveFlags);
ALTDSS_ODDIE_DLL void ctx_Circuit_SetCktElementIndex(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Circuit_SetCktElementName(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL int32_t ctx_CktElement_Get_Handle(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_CktElement_Get_HasOCPDevice(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_CktElement_Get_IsIsolated(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_NodeRef(const void* ctx, int32_t** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_CktElement_Get_NodeRef_GR(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_CktElement_Get_VariableIdx(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_CmathLib_Get_cdang(const void* ctx, double RealPart, double ImagPart);
ALTDSS_ODDIE_DLL void ctx_CmathLib_Get_cdiv(const void* ctx, double** ResultPtr, int32_t* ResultDims, double a1, double b1, double a2, double b2);
ALTDSS_ODDIE_DLL void ctx_CmathLib_Get_cdiv_GR(const void* ctx, double a1, double b1, double a2, double b2);
ALTDSS_ODDIE_DLL void ctx_CmathLib_Get_cmul(const void* ctx, double** ResultPtr, int32_t* ResultDims, double a1, double b1, double a2, double b2);
ALTDSS_ODDIE_DLL void ctx_CmathLib_Get_cmul_GR(const void* ctx, double a1, double b1, double a2, double b2);
ALTDSS_ODDIE_DLL uint16_t ctx_DSS_Get_COMErrorResults(const void* ctx);
ALTDSS_ODDIE_DLL uint32_t ctx_DSS_Get_CompatFlags(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_DSS_Get_EnableArrayDimensions(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_DSS_Get_LegacyModels(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_DSS_Set_COMErrorResults(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL void ctx_DSS_Set_CompatFlags(const void* ctx, uint32_t Value);
ALTDSS_ODDIE_DLL void ctx_DSS_Set_EnableArrayDimensions(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL void ctx_DSS_Set_LegacyModels(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL void ctx_DSSimComs_BusVoltage(const void* ctx, double** ResultPtr, int32_t* ResultDims, size_t Index);
ALTDSS_ODDIE_DLL void ctx_DSSimComs_BusVoltage_GR(const void* ctx, size_t Index);
ALTDSS_ODDIE_DLL void ctx_DSSimComs_BusVoltagepu(const void* ctx, double** ResultPtr, int32_t* ResultDims, size_t Index);
ALTDSS_ODDIE_DLL void ctx_DSSimComs_BusVoltagepu_GR(const void* ctx, size_t Index);
ALTDSS_ODDIE_DLL uint16_t ctx_Error_Get_ExtendedErrors(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Error_Set_ExtendedErrors(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL const char* ctx_Generators_Get_Bus1(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Generators_Get_Class_(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Generators_Get_daily(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Generators_Get_duty(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_Generators_Get_IsDelta(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Generators_Get_kva(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Generators_Get_Status(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_Generators_Get_Yearly(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Generators_Set_Bus1(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Generators_Set_Class_(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Generators_Set_daily(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Generators_Set_duty(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_Generators_Set_IsDelta(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL void ctx_Generators_Set_kva(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Generators_Set_Status(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Generators_Set_Yearly(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL int32_t ctx_GICSources_Get_idx(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_GICSources_Set_idx(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL int32_t ctx_ISources_Get_idx(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_ISources_Set_idx(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL int32_t ctx_LineCodes_Get_idx(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_LineCodes_Set_idx(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL int32_t ctx_Lines_Get_idx(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Lines_Get_TotalCust(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Lines_Set_idx(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL int32_t ctx_LoadShapes_Get_idx(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_LoadShapes_Get_MaxP(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_LoadShapes_Get_MaxQ(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_LoadShapes_Set_idx(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_LoadShapes_Set_MaxP(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_LoadShapes_Set_MaxQ(const void* ctx, double Value);
ALTDSS_ODDIE_DLL int32_t ctx_Meters_Get_idx(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Meters_Set_idx(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL int32_t ctx_Monitors_Get_idx(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Monitors_Set_idx(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_PDElements_Get_AllCplxSeqCurrents(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_PDElements_Get_AllCplxSeqCurrents_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_PDElements_Get_AllCurrents(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_PDElements_Get_AllCurrents_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_PDElements_Get_AllCurrentsMagAng(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_PDElements_Get_AllCurrentsMagAng_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_PDElements_Get_AllMaxCurrents(const void* ctx, double** ResultPtr, int32_t* ResultDims, uint16_t AllNodes);
ALTDSS_ODDIE_DLL void ctx_PDElements_Get_AllMaxCurrents_GR(const void* ctx, uint16_t AllNodes);
ALTDSS_ODDIE_DLL void ctx_PDElements_Get_AllNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_PDElements_Get_AllNames_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_PDElements_Get_AllNumConductors(const void* ctx, int32_t** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_PDElements_Get_AllNumConductors_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_PDElements_Get_AllNumPhases(const void* ctx, int32_t** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_PDElements_Get_AllNumPhases_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_PDElements_Get_AllNumTerminals(const void* ctx, int32_t** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_PDElements_Get_AllNumTerminals_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_PDElements_Get_AllPctEmerg(const void* ctx, double** ResultPtr, int32_t* ResultDims, uint16_t AllNodes);
ALTDSS_ODDIE_DLL void ctx_PDElements_Get_AllPctEmerg_GR(const void* ctx, uint16_t AllNodes);
ALTDSS_ODDIE_DLL void ctx_PDElements_Get_AllPctNorm(const void* ctx, double** ResultPtr, int32_t* ResultDims, uint16_t AllNodes);
ALTDSS_ODDIE_DLL void ctx_PDElements_Get_AllPctNorm_GR(const void* ctx, uint16_t AllNodes);
ALTDSS_ODDIE_DLL void ctx_PDElements_Get_AllPowers(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_PDElements_Get_AllPowers_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_PDElements_Get_AllSeqCurrents(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_PDElements_Get_AllSeqCurrents_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_PDElements_Get_AllSeqPowers(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_PDElements_Get_AllSeqPowers_GR(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_PVSystems_Get_daily(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_PVSystems_Get_duty(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_PVSystems_Get_RegisterNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_PVSystems_Get_RegisterNames_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_PVSystems_Get_RegisterValues(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_PVSystems_Get_RegisterValues_GR(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_PVSystems_Get_Tdaily(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_PVSystems_Get_Tduty(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_PVSystems_Get_Tyearly(const void* ctx);
ALTDSS_ODDIE_DLL const char* ctx_PVSystems_Get_yearly(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_PVSystems_Set_daily(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_PVSystems_Set_duty(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_PVSystems_Set_Tdaily(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_PVSystems_Set_Tduty(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_PVSystems_Set_Tyearly(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL void ctx_PVSystems_Set_yearly(const void* ctx, const char* Value);
ALTDSS_ODDIE_DLL int32_t ctx_RegControls_Get_idx(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_RegControls_Set_idx(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL int32_t ctx_Sensors_Get_idx(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Sensors_Get_kVS(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Sensors_Get_kVS_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Sensors_Set_idx(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Sensors_Set_kVS(const void* ctx, const double* ValuePtr, int32_t ValueCount);
ALTDSS_ODDIE_DLL uint16_t ctx_Settings_Get_ControlTrace(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Settings_Get_IterateDisabled(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_Settings_Get_LoadsTerminalCheck(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Settings_Set_ControlTrace(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL void ctx_Settings_Set_IterateDisabled(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Settings_Set_LoadsTerminalCheck(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL void ctx_Settings_SetPropertyNameStyle(const void* ctx, int32_t style);
ALTDSS_ODDIE_DLL double ctx_Solution_Get_IntervalHrs(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Solution_Get_MinIterations(const void* ctx);
ALTDSS_ODDIE_DLL double ctx_Solution_Get_Time_of_Step(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_IntervalHrs(const void* ctx, double Value);
ALTDSS_ODDIE_DLL void ctx_Solution_Set_MinIterations(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_Solution_SolveSnap(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_SwtControls_Get_idx(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_SwtControls_Set_idx(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL const char* ctx_Text_Get_Command(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Transformers_Get_AllLossesByType(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Transformers_Get_AllLossesByType_GR(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_Transformers_Get_idx(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Transformers_Get_LossesByType(const void* ctx, double** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_Transformers_Get_LossesByType_GR(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Transformers_Set_idx(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL int32_t ctx_Vsources_Get_idx(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_Vsources_Set_idx(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_XYCurves_Get_AllNames(const void* ctx, char*** ResultPtr, int32_t* ResultDims);
ALTDSS_ODDIE_DLL void ctx_XYCurves_Get_AllNames_GR(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_XYCurves_Get_idx(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_XYCurves_Set_idx(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL uint16_t ctx_YMatrix_CheckConvergence(const void* ctx);
ALTDSS_ODDIE_DLL int32_t ctx_YMatrix_Get_Iteration(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_YMatrix_Get_LoadsNeedUpdating(const void* ctx);
ALTDSS_ODDIE_DLL uint16_t ctx_YMatrix_Get_SolutionInitialized(const void* ctx);
ALTDSS_ODDIE_DLL uint64_t ctx_YMatrix_Get_SolverOptions(const void* ctx);
ALTDSS_ODDIE_DLL void ctx_YMatrix_Set_Iteration(const void* ctx, int32_t Value);
ALTDSS_ODDIE_DLL void ctx_YMatrix_Set_LoadsNeedUpdating(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL void ctx_YMatrix_Set_SolutionInitialized(const void* ctx, uint16_t Value);
ALTDSS_ODDIE_DLL void ctx_YMatrix_Set_SolverOptions(const void* ctx, uint64_t opts);
ALTDSS_ODDIE_DLL void ctx_YMatrix_SetGeneratordQdV(const void* ctx);

#endif // #ifndef ALTDSS_ODDIE_OMIT_NOT_IMPL
#ifdef __cplusplus
} // extern "C"
#ifdef ALTDSS_ODDIE_NAMESPACE
} } } // namespace altdss::oddie::capi
#endif
#endif
#endif // #ifndef ALTDSS_ODDIE_CAPI_H
